Daemon Power

The NetBSD Packages Collection: www/apache24

Brief description of the package:
Apache HTTP (Web) server, version 2.4

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://httpd.apache.org/.

Please note that this package has a apache-2.0 license.

The package is located in the "www/apache24" directory. The current source version of the package is "apache-2.4.28". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/apache24 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: apr>=1.5.0 cwrappers>=20150314 apr-util>=1.5.3 apr-util>=1.2.8 pcre>=3.4nb1 nghttp2>=1.0.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 readline>=2.2 readline>=6.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 python27>=2.7.1nb2 libxml2>=2.8.0nb2 apr-util>=1.5.4nb4 pcre>=8.30nb1 nghttp2>=1.25.0nb1 .

This package requires the following package(s) to run: apr>=1.5.0 apr-util>=1.5.3 apr-util>=1.2.8 pcre>=3.4nb1 nghttp2>=1.0.0 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 python27>=2.7.1nb2 libxml2>=2.8.0nb2 readline>=2.2 apr-util>=1.5.4nb4 pcre>=8.30nb1 nghttp2>=1.25.0nb1 readline>=6.0 .

This package supports the following build-time options:

apache-mpm-event
Use multi-threaded workers in Apache web server.
apache-mpm-prefork
Use pre-forked workers in Apache web server.
apache-mpm-worker
Use multiple processes of multi-threaded workers in Apache web server.
http2
Add support for HTTP/2.
lua
Enable Lua support.
suexec
Enable suEXEC support in Apache web server.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:apache-2.4.18nb1.tgz(NetBSD 7.0)
alpha:apache-2.4.16.tgz(NetBSD 7.0)
alpha:apache-2.4.17.tgz(NetBSD 7.0)
alpha:apache-2.4.27.tgz(NetBSD 8.0)
arm:apache-2.4.9.tgz(NetBSD 6.1_STABLE)
earm:apache-2.4.17.tgz(NetBSD 7.0)
earm:apache-2.4.12.tgz(NetBSD 7.0)
earm:apache-2.4.16.tgz(NetBSD 7.0)
earm:apache-2.4.16.tgz(NetBSD 7.0)
earm:apache-2.4.17.tgz(NetBSD 7.0)
earmv6hf:apache-2.4.12.tgz(NetBSD 7.0)
earmv6hf:apache-2.4.12nb2.tgz(NetBSD 7.0)
earmv6hf:apache-2.4.16.tgz(NetBSD 7.0)
earmv6hf:apache-2.4.17.tgz(NetBSD 7.0)
earmv7hf:apache-2.4.17.tgz(NetBSD 7.0)
earmv7hf:apache-2.4.16.tgz(NetBSD 7.0)
earmv7hf:apache-2.4.16.tgz(NetBSD 7.99.21)
earmv7hf:apache-2.4.26.tgz(NetBSD 8.0_BETA)
earmv7hfeb:apache-2.4.18.tgz(NetBSD 7.0)
i386:apache-2.4.9.tgz(MirBSD 10)
i386:apache-2.4.27.tgz(NetBSD 6.0)
i386:apache-2.4.23nb2.tgz(NetBSD 6.0)
i386:apache-2.4.25.tgz(NetBSD 6.0)
i386:apache-2.4.25nb2.tgz(NetBSD 6.0)
i386:apache-2.4.27.tgz(NetBSD 6.1)
i386:apache-2.4.23nb2.tgz(NetBSD 6.1)
i386:apache-2.4.25.tgz(NetBSD 6.1)
i386:apache-2.4.25nb2.tgz(NetBSD 6.1)
i386:apache-2.4.27.tgz(NetBSD 7.0)
i386:apache-2.4.23nb2.tgz(NetBSD 7.0)
i386:apache-2.4.25.tgz(NetBSD 7.0)
i386:apache-2.4.25nb2.tgz(NetBSD 7.0)
m68k:apache-2.4.18nb1.tgz(NetBSD 7.0)
powerpc:apache-2.4.23nb2.tgz(NetBSD 6.0)
powerpc:apache-2.4.26.tgz(NetBSD 6.1)
powerpc:apache-2.4.17.tgz(NetBSD 7.0)
powerpc:apache-2.4.26.tgz(NetBSD 7.1)
powerpc:apache-2.4.27nb2.tgz(NetBSD 7.1)
powerpc:apache-2.4.26.tgz(NetBSD 8.0)
powerpc:apache-2.4.27.tgz(NetBSD 8.0)
sparc64:apache-2.4.12.tgz(NetBSD 7.0)
sparc64:apache-2.4.12nb2.tgz(NetBSD 7.0)
sparc64:apache-2.4.17.tgz(NetBSD 7.0)
sparc64:apache-2.4.25.tgz(NetBSD 7.1_RC1)
sparc:apache-2.4.16.tgz(NetBSD 5.1)
sparc:apache-2.4.12.tgz(NetBSD 5.1)
sparc:apache-2.4.16.tgz(NetBSD 5.1)
sparc:apache-2.4.10.tgz(NetBSD 6.0)
sparc:apache-2.4.16.tgz(NetBSD 7.0)
sparc:apache-2.4.23nb2.tgz(NetBSD 7.0)
vax:apache-2.4.9.tgz(NetBSD 6.1_STABLE)
vax:apache-2.4.18nb1.tgz(NetBSD 7.0)
x86_64:apache-2.4.27.tgz(NetBSD 6.0)
x86_64:apache-2.4.23nb2.tgz(NetBSD 6.0)
x86_64:apache-2.4.25.tgz(NetBSD 6.0)
x86_64:apache-2.4.25nb2.tgz(NetBSD 6.0)
x86_64:apache-2.4.27.tgz(NetBSD 6.1)
x86_64:apache-2.4.23nb2.tgz(NetBSD 6.1)
x86_64:apache-2.4.25.tgz(NetBSD 6.1)
x86_64:apache-2.4.25nb2.tgz(NetBSD 6.1)
x86_64:apache-2.4.27.tgz(NetBSD 7.0)
x86_64:apache-2.4.23nb2.tgz(NetBSD 7.0)
x86_64:apache-2.4.25.tgz(NetBSD 7.0)
x86_64:apache-2.4.25nb2.tgz(NetBSD 7.0)
x86_64:apache-2.4.26.tgz(NetBSD 7.0.1_PATCH)
x86_64:apache-2.4.26.tgz(NetBSD 8.99.1)
x86_64:apache-2.4.27.tgz(NetBSD 8.99.1)
x86_64:apache-2.4.27nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]